package com.dgt.graphdemo.entity.fqz;



/**
 * 实体总表
 * 
 * @author jinTian
 * @since 2016年12月1日
 */
public class Nodes extends CommonBean<Nodes>{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 8100921548429823117L;
	
	private String entityId;//实体的唯一ID
	private String weaverId;//weaver的唯一ID
	private String entityType;//实体的类型
	private String searchId;//实体用作模糊匹配和定向查找的ID
	private String entityName;//实体显示在图上的名字
	private String attributes;//实体具体的属性，总表中保存所有实体的所有属性类型
	private String user;
	private Boolean isCustom;
	private Boolean isException;
	private Integer level = 1;
	public Boolean getIsCustom() {
		return isCustom;
	}
	public void setIsCustom(Boolean isCustom) {
		this.isCustom = isCustom;
	}
	public String getEntityId() {
		return entityId;
	}
	public void setEntityId(String entityId) {
		this.entityId = entityId;
	}
	public String getEntityType() {
		return entityType;
	}
	public void setEntityType(String entityType) {
		this.entityType = entityType;
	}
	public String getSearchId() {
		return searchId;
	}
	public void setSearchId(String searchId) {
		this.searchId = searchId;
	}
	public String getEntityName() {
		return entityName;
	}
	public void setEntityName(String entityName) {
		this.entityName = entityName;
	}
	public String getAttributes() {
		return attributes;
	}
	public void setAttributes(String attributes) {
		this.attributes = attributes;
	}
	
	/**
	 * @return the weaverId
	 */
	public String getWeaverId() {
		return weaverId;
	}
	
	/**
	 * @param weaverId the weaverId to set
	 */
	public void setWeaverId(String weaverId) {
		this.weaverId = weaverId;
	}
	
	/**
	 * @return the user
	 */
	public String getUser() {
		return user;
	}
	
	/**
	 * @param user the user to set
	 */
	public void setUser(String user) {
		this.user = user;
	}
	public Boolean getIsException() {
		return isException;
	}
	public void setIsException(Boolean isException) {
		this.isException = isException;
	}
	public Integer getLevel() {
		return level;
	}
	public void setLevel(Integer level) {
		this.level = level;
	}

}
